#include <windows.h>
#include <commctrl.h>

#ifndef __ATOMSWINDOWCLASS
#define __ATOMSWINDOWCLASS

class CAtomsWindow
{
	private:
		HWND hwnd;
		void DblClick();
		HTREEITEM selectedItem;
		void SelChanged(NMTREEVIEW* tv);
		//WNDPROC oldWindowProc;

	public:
		CAtomsWindow(HWND parent);
		~CAtomsWindow();
		void Refresh();
		HWND GetHandle();
		void WmNotify(LPARAM lp);
		void DoResize();
		void ShowWindow(bool show);
		/*static LRESULT CALLBACK StaticWindowProc(HWND hwnd,UINT msg,WPARAM wp,LPARAM lp);
		LRESULT CALLBACK WindowProc(HWND hwnd,UINT msg,WPARAM wp,LPARAM lp);*/
};

#endif